#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	wayland-protocols
Version		:	1.36
Release		:	17.0.10.rel%{?dist}
Summary		:	Wayland protocols that adds functionality not available in the core protocol
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://wayland.freedesktop.org/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	wayland

BuildArch	:	noarch

Requires	:	wayland
#-----------------------------------------------------------------------------
%description
wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING README.md
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/stable/*/*.xml
%{_datadir}/%{name}/staging/*/*.xml
%{_datadir}/%{name}/unstable/*/*.xml

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	%{_smp_mflags}					\
	-C _bld						\
	-v						\
	-k1						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
		-C _bld					\
		install

#-----------------------------------------------------------------------------
%changelog
